Bug 221724 - [webkit-patch] Use identifiers when posting to bugzilla
Summary: [webkit-patch] Use identifiers when posting to bugzilla
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Bedard
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-02-10 15:33 PST by Jonathan Bedard
Modified: 2021-02-12 11:16 PST (History)
6 users (show)

See Also:


Attachments
Patch (30.28 KB, patch)
2021-02-10 15:39 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (20.81 KB, patch)
2021-02-11 15:33 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (19.35 KB, patch)
2021-02-11 15:36 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (3.00 KB, patch)
2021-02-12 10:27 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Bedard 2021-02-10 15:33:30 PST
webkit-patch should post identifier links instead of trac links. This will be an incremental process because identifiers need to be computed from revisions, so we can't just blindly replace revisions everywhere without understanding what they're being used for.
Comment 1 Radar WebKit Bug Importer 2021-02-10 15:33:54 PST
<rdar://problem/74209525>
Comment 2 Jonathan Bedard 2021-02-10 15:39:40 PST
Created attachment 419916 [details]
Patch
Comment 3 Jonathan Bedard 2021-02-10 15:40:24 PST
(In reply to Jonathan Bedard from comment #2)
> Created attachment 419916 [details]
> Patch

Might be worth considering separating the trac -> commits part of this change from the identifier part of this change.
Comment 4 Jonathan Bedard 2021-02-11 15:33:35 PST
Created attachment 420054 [details]
Patch
Comment 5 Jonathan Bedard 2021-02-11 15:36:45 PST
Created attachment 420055 [details]
Patch
Comment 6 Aakash Jain 2021-02-11 16:41:23 PST
Comment on attachment 420055 [details]
Patch

rs=me
Comment 7 Jonathan Bedard 2021-02-11 16:43:08 PST
(In reply to Aakash Jain from comment #6)
> Comment on attachment 420055 [details]
> Patch
> 
> rs=me

I will land this first thing tomorrow morning.
Comment 8 Jonathan Bedard 2021-02-12 09:19:35 PST
Committed 192745@main: <https://commits.webkit.org/192745@main>
Comment 9 Jonathan Bedard 2021-02-12 09:29:00 PST
(In reply to Jonathan Bedard from comment #8)
> Committed 192745@main: <https://commits.webkit.org/192745@main>

Should actually be 234018@main, <https://commits.webkit.org/192745@main>

Looking into what happened.
Comment 10 Jonathan Bedard 2021-02-12 09:47:28 PST
Comment on attachment 420055 [details]
Patch

My local cache was corrupted....probably the fault of the unit testing in this change....looking into options to fix
Comment 11 Jonathan Bedard 2021-02-12 10:27:07 PST
Reopening to attach new patch.
Comment 12 Jonathan Bedard 2021-02-12 10:27:09 PST
Created attachment 420142 [details]
Patch
Comment 13 Dean Johnson 2021-02-12 10:32:24 PST
Can we please post revision *and* identifier links? Revisions are still what we're using to talk about and work with WebKit changes, so this change would make it more difficult to think about them when working across other systems still using identifiers and bugzilla.
Comment 14 Aakash Jain 2021-02-12 10:40:04 PST
rs=me
Comment 15 Jonathan Bedard 2021-02-12 11:05:52 PST
Committed 234029@main: <https://commits.webkit.org/234029@main>